import { VStack, Box, Text, HStack, ScrollView, Flex, Button, CloseIcon, IconButton, TextArea, useToast } from "native-base";
import { Note } from "../../types/note";
import React, { useCallback, useState } from "react";
import { Floor, PlanImage, Room } from "../../types/plan";

import MapView, { Marker } from 'react-native-maps';
import Svg, { Image, SvgXml } from 'react-native-svg';
import SvgImage from "react-native-svg/lib/typescript/elements/Image";

const CastlePlanView = (props: { mapImage: PlanImage, selectedRoom?: Room }) => {

    const { mapImage, selectedRoom } = props

    console.log(mapImage.svg.substring(0, 500))

    console.log(selectedRoom?.kx, selectedRoom?.ky, selectedRoom?.svg_path)

    console.log(mapImage.viewBox)

    return (
        <Box>
            {/* Display the background image */}
            <SvgXml
                xml={mapImage.svg}
                height="300"

                preserveAspectRatio="xMidYMid meet"
            />

            {/* Display the MapView on top of the background image */}
            <MapView
                style={{ flex: 1 }}
            // Add other map-related props as needed
            >
            </MapView>
        </Box>
    );
}

export default CastlePlanView